# $Revision: 1.93 $, $Date: 2010/10/02 21:17:17 $
Summary:	Printing library for GNOME
Summary(pl.UTF-8):	Biblioteka drukowania dla GNOME
Name:		libgnomeprint
Version:	2.18.8
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/2.18/%{name}-%{version}.tar.bz2
# Source0-md5:	63b05ffb5386e131487c6af30f4c56ac
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.7.2
BuildRequires:	bison
BuildRequires:	cups-devel >= 1:1.1.20
BuildRequires:	docbook-dtd412-xml
BuildRequires:	flex
BuildRequires:	freetype-devel >= 2.1.3
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.14.1
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libart_lgpl-devel >= 2.3.19
BuildRequires:	libgnomecups-devel >= 0.2.2
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	pango-devel >= 1:1.18.3
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	zlib-devel
Requires:	fonts-Type1-urw
Requires:	pango >= 1:1.18.3
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print package contains
libraries and fonts needed by GNOME applications for printing.

You should install the gnome-print package if you intend to use any of
the GNOME applications that can print. If you would like to develop
GNOME applications that can print you will also need to install the
gnome-print devel package.

%description -l pl.UTF-8
GNOME (GNU Network Object Model Environment) jest zestawem przyjaznych
dla użytkownika aplikacji i narzędzi do użytku w połączeniu z zarządcą
okien X Window System. Pakiet libgnomeprint zawiera biblioteki
niezbędne aplikacjom GNOME do drukowania.

%package devel
Summary:	Include files for libgnomeprint
Summary(pl.UTF-8):	Pliki nagłówkowe libgnomeprint
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.14.1
Requires:	libart_lgpl-devel >= 2.3.19
Requires:	libxml2-devel >= 1:2.6.30
Requires:	pango-devel >= 1:1.18.3

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print-devel package
includes the libraries and include files needed for developing
applications that use the GNOME printing capabilities.

You should install the gnome-print-devel package if you would like to
develop GNOME applications that will use the GNOME print capabilities.
You do not need to install the gnome-print-devel package if you just
want to use the GNOME desktop environment.

%description devel -l pl.UTF-8
Pliki nagłówkowe niezbędne do kompilacji aplikacji używających
biblioteki drukowania GNOME.

%package static
Summary:	Static libgnomeprint library
Summary(pl.UTF-8):	Statyczna biblioteka libgnomeprint
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libgnomeprint library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libgnomeprint.

%package apidocs
Summary:	libgnomeprint API documentation
Summary(pl.UTF-8):	Dokumentacja API libgnomeprint
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgnomeprint API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libgnomeprint.

%package cups
Summary:	CUPS module for libgnomeprint
Summary(pl.UTF-8):	Moduł CUPS dla libgnomeprint
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description cups
CUPS module for libgnomeprint.

%description cups -l pl.UTF-8
Moduł CUPS dla libgnomeprint.

%prep
%setup -q

%{__sed} -i -e 's/^en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-font-install \
	--with-html-dir=%{_gtkdocdir} \
	--enable-gtk-doc \
	--with-cups
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/gnome/libgnomeprint-2.0/fonts

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir} \
	HTML_DIR=%{_gtkdocdir}

# no static modules and *.la files - shut up check-files
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*/modules/{*.{a,la},transports/*.{a,la},filters/*.{a,la}}

%find_lang %{name}-2.2

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-2.2.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgnomeprint-2-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomeprint-2-2.so.0
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{version}
%dir %{_libdir}/%{name}/%{version}/modules
%dir %{_libdir}/%{name}/%{version}/modules/filters
%dir %{_libdir}/%{name}/%{version}/modules/transports
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/filters/libgnomeprint-clip.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/filters/libgnomeprint-draft.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/filters/libgnomeprint-frgba.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/filters/libgnomeprint-multipage.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/filters/libgnomeprint-position.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/filters/libgnomeprint-reorder.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/filters/libgnomeprint-reverse.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/filters/libgnomeprint-rotate.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/filters/libgnomeprint-select.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/filters/libgnomeprint-zoom.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/transports/libgnomeprint-custom.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/transports/libgnomeprint-file.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/transports/libgnomeprint-lpr.so
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/libgnomeprintlpd.so
%{_datadir}/libgnomeprint
# for now it's the only package that uses /etc/gnome
%dir %{_sysconfdir}/gnome
%{_sysconfdir}/gnome/libgnomeprint-*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgnomeprint

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomeprint-2-2.so
%{_libdir}/libgnomeprint-2-2.la
%{_includedir}/libgnomeprint-2.2
%{_pkgconfigdir}/libgnomeprint-2.2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomeprint-2-2.a

%files cups
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/%{version}/modules/libgnomeprintcups.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomeprint.spec,v $
Revision 1.93  2010/10/02 21:17:17  megabajt
- updated to 2.18.8

Revision 1.92  2010/04/02 18:26:47  sls
- removed en@shaw locale

Revision 1.91  2010/04/02 18:09:40  sls
- ver. 2.18.7

Revision 1.90  2009/11/28 01:35:31  sparky
- BR: docbook-dtd412-xml

Revision 1.89  2009/03/06 18:37:26  megabajt
- updated to 2.18.6

Revision 1.88  2008/09/26 09:05:13  megabajt
- updated to 2.18.5

Revision 1.87  2008/02/13 08:52:25  megabajt
- updated to 2.18.4
- more verbose files
- fix locale name (sr@Latn -> sr@latin)

Revision 1.86  2007-11-14 09:43:14  arekm
s/ghostscript-fonts-std/fonts-Type1-urw/

Revision 1.85  2007-09-17 15:55:57  megabajt
- updated to 2.18.2

Revision 1.84  2007/08/14 21:34:59  megabajt
- updated to 2.18.1

Revision 1.83  2007/03/13 07:45:28  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.82.2.2  2007/03/02 16:05:59  megabajt
- fixed %description entries
- improved previous commitlog

Revision 1.82.2.1  2007/03/02 15:12:53  megabajt
- updated to 2.17.92
- added apidocs subpackage

Revision 1.82  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.81  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.80  2006/12/01 16:47:58  megabajt
- release 7 (rebuild with P: *.la)

Revision 1.79  2006/08/10 20:19:52  patrys
- rel up for new libcrypto

Revision 1.78  2006/07/12 18:06:11  freetz
- rel.4, updated deps, --as-needed support

Revision 1.77  2006/06/07 15:23:35  freetz
- rel.3, bleeding edge deps

Revision 1.76  2006/03/20 20:49:38  freetz
- rel.2

Revision 1.75  2005/09/29 10:00:45  freetz
- 2.12.1

Revision 1.74  2005/09/06 18:26:31  aflinta
- merged from DEVEL, up to 2.12.0

Revision 1.73.2.1  2005/07/03 18:18:51  freetz
- 2.11.0

Revision 1.73  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.72  2005/04/10 17:09:46  freetz
- new style macros, rel. 2

Revision 1.71  2005/04/02 14:19:14  freetz
- 2.10.3

Revision 1.70  2005/03/24 11:13:23  paladine
- updated to 2.10.2

Revision 1.69  2005/03/18 08:39:32  aflinta
- up to version 2.10.1

Revision 1.68  2005/03/09 20:21:13  paladine
- updated -devel deps

Revision 1.67  2005/03/09 20:15:07  paladine
- updated to 2.10.0

Revision 1.66  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.65  2004/12/06 19:01:33  freetz
- 2.8.2, STBR

Revision 1.64  2004/11/29 09:15:55  freetz
- 2.8.1, STBR

Revision 1.63  2004/10/05 22:32:24  grzegol
- updated to 2.8.0.1

Revision 1.62  2004/09/15 18:24:38  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.61  2004/09/13 17:08:21  grzegol
- merged from DEVEL and updated to 2.8.0

Revision 1.60  2004/08/17 12:12:41  ankry
- added pango epoch to R:/BR:

Revision 1.59.2.4  2004/09/11 17:19:19  aflinta
- up to version 2.7.90

Revision 1.59.2.3  2004/08/18 19:36:14  aflinta
- require pango with epoch

Revision 1.59.2.2  2004/07/31 15:16:20  grzegol
- updated to 2.7.1
- added BR: libgnomecups-devel >= 0.1.0
- more -devel Requires

Revision 1.59.2.1  2004/07/01 16:56:38  grzegol
- updated to 2.7.0
- removed outdated libext patch
- it requires pango >= 1.5.0

Revision 1.59  2004/06/22 21:40:22  grzegol
- updated to 2.6.2

Revision 1.58  2004/05/07 12:01:24  qboosh
- BR autoconf >= 2.52, removed obsolete libbonobo deps

Revision 1.57  2004/04/21 21:48:12  grzegol
- added libext patch (use G_MODULE_SUFFIX instead of LTDL_SHLIB_EXT)
- rel. 2

Revision 1.56  2004/04/21 16:48:26  grzegol
- updated to 2.6.1

Revision 1.55  2004/03/22 20:34:05  aflinta
- merged from DEVEL, up to version 2.6.0

Revision 1.54  2004/02/23 09:47:29  qboosh
- updated -devel deps versions

Revision 1.53  2004/01/05 01:23:55  undefine
- release 2

Revision 1.52  2003/12/29 19:10:49  undefine
- copy config.sub to allow build on amd64

Revision 1.51  2003/11/27 09:37:55  trojan
- updated to 2.4.2

Revision 1.50  2003/11/24 09:15:40  trojan
updated to 2.4.1.1

Revision 1.49  2003/11/21 11:37:32  trojan
- updated to 2.4.1

Revision 1.48.2.7  2004/03/18 18:37:12  grzegol
- added epoch to cups requires

Revision 1.48.2.6  2004/03/11 22:20:03  grzegol
- updated to 2.5.4

Revision 1.48.2.5  2004/02/24 22:01:43  grzegol
- updated to 2.5.3
- added locale-names patch (changes locale no -> nb)
- added BR: gtk-doc, strict internal deps
- regenerate lt/al/ac/am

Revision 1.48.2.4  2004/02/03 20:28:57  grzegol
- updated to 2.5.2
- added cups cubpackage with cups module
- removed also TODO entry about IBM OMNI drivers becouse this drivers are not
	supported anymore

Revision 1.48.2.3  2004/01/12 19:13:14  grzegol
- updated to 2.5.1

Revision 1.48.2.2  2003/12/02 10:27:01  wiget
- 2.5.0.1

Revision 1.48.2.1  2003/11/14 12:40:41  wiget
- 2.5.0

Revision 1.48  2003/09/27 22:59:57  aflinta
- version 2.4.0

Revision 1.47  2003/08/12 22:31:28  grzegol
- cosmetics

Revision 1.46  2003/08/12 21:17:10  aflinta
- version 2.3.1

Revision 1.45  2003/06/18 14:54:02  aflinta
- version 2.2.1.3

Revision 1.44  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.43  2003/05/25 05:49:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.42  2003/05/08 15:46:15  qboosh
- removed static modules
- added /etc/gnome dir to package (it's the only package using it)
- changed PreReq ghostscript-fonts-std to plain Requires (no need for PreReq now)
- release 3

Revision 1.41  2003/03/12 11:42:29  wrobell
- fixed file list
- rel. 2, stb

Revision 1.40  2003/03/12 08:57:25  trojan
- updated to 2.2.1.2

Revision 1.39  2003/02/28 10:08:01  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.38  2003/02/03 14:03:48  trojan
- updated to 2.2.1.1

Revision 1.37  2003/01/21 08:06:21  aflinta
- uipdated to version 2.2.1

Revision 1.36  2003/01/20 13:57:14  aflinta
- updated to version 2.2.0

Revision 1.35  2003/01/19 21:35:33  aflinta
- updated to version 2.1.9

Revision 1.34  2003/01/14 15:58:05  aflinta
- updated to version 2.1.8

Revision 1.33  2003/01/07 08:15:11  aflinta
- updated to version 2.1.7

Revision 1.32  2002/12/30 15:44:57  aflinta
- updated to version 2.1.6

Revision 1.31  2002/12/17 22:36:55  aflinta
- updated to version 2.1.5

Revision 1.30  2002/12/15 21:15:26  aflinta
- updated to version 2.1.4

Revision 1.29  2002/12/10 12:13:13  wrobell
- more todo

Revision 1.28  2002/12/10 12:12:34  wrobell
- cups-devel is required to build
- sorted build requirements

Revision 1.27  2002/12/10 08:58:23  aflinta
- updated to version 2.1.3

Revision 1.26  2002/12/05 09:43:10  aflinta
- updated to version 2.1.2

Revision 1.25  2002/12/04 19:51:47  aflinta
- moved from /usr/X11R6 to /usr, _gtkdocdir is now in rpm macros, release 2

Revision 1.24  2002/11/25 14:16:53  ankry
- massive attack: no need for 755 for *.la

Revision 1.23  2002/11/03 20:22:52  aflinta
- updated to version 2.1.1

Revision 1.22  2002/10/29 18:54:31  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.21  2002/10/24 21:18:34  malekith
- release 2

Revision 1.20  2002/10/02 22:33:51  aflinta
- updated to version 1.116.1

Revision 1.19  2002/09/15 21:51:49  aflinta
- updated to version 1.116.1 but needs testing

Revision 1.18  2002/08/16 00:52:12  wolf
- 1.116.0

Revision 1.17  2002/07/02 12:44:37  ankry
- Requires gtk-doc-common for -devel subpackage
- release 2

Revision 1.16  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.15  2002/06/11 16:35:24  wiget
updated to 1.115.0

Revision 1.14  2002/05/27 22:42:06  kloczek
- updated to 1.114.0.

Revision 1.13  2002/05/24 14:42:19  wiget
- release 2
- added am.patch (fix for automake 1.6x)
- new %%doc
- fixed %%post (but better generalize font managment system)
- add missing %%files

now is ready for testing

Revision 1.12  2002/05/21 23:13:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/05/19 00:15:56  qboosh
- added ">= 2.0.0" to BR: freetype-devel; sorted/cleaned BRs where necessary

Revision 1.10  2002/05/17 07:09:48  kloczek
- updated to 1.113.0,
- aded ac_fixes patch.

Revision 1.9  2002/04/18 20:14:10  misiek
- fixed

Revision 1.8  2002/04/18 18:54:57  misiek
- updated to 1.112

Revision 1.7  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/14 22:25:29  qboosh
- fixed pl description

Revision 1.3  2002/02/05 16:12:38  qboosh
- separated -static, gzip doc, added pl translations
- fixed some PLD-specific things (fonts path, requires)

Revision 1.2  2002/02/01 19:32:27  kloczek
- partialy rewrited,
- switch to bzipped2 tar ball.

Based on spec from RedHat.
